Bug 171505 - Review Request: digikamimageplugins: Plugins for digikam
Review Request: digikamimageplugins: Plugins for digikam
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
David Lawrence
http://extragear.kde.org/apps/digikam...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-21 17:38 EDT by Rex Dieter
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-01 10:44:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
petersen: fedora‑cvs-


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2005-10-21 17:38:03 EDT
Spec Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/SPECS/digikamimageplugins-0.7.4-1.spec
SRPM Name or Url: http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-0.7.4-1.src.rpm
Description: 
DigikamImagePlugins are a collection of plugins for digiKam Image
Editor and showfoto (digiKam stand alone image editor implementation).
These plugins add new image treatment options like color management,
filters, or special effects.

Currently implemented plugins are listed below:
* Image improvements:
  o icon Adjust levels : a tool to adjust the photograph histogram levels manually.
  o icon Adjust curves : a tool to adjust the photograph colors using curves.
  o icon Noise Reduction : a photograph noise reduction filter.
  o icon Unsharp : a photograph unsharp mask filter to unblur picture without increase noise.
  o icon Lens Distortion : a tool for correct lens spherical aberration on photograph.
  o icon Anti Vignetting : a tool for correct vignetting on photograph.
* Transformation tools:
  o icon Free Rotation : a plugin to rotate a photograph with a free angle in degrees.
  o icon Shear Tool : a plugin to shear a photograph horizontally and vertically.
  o icon Perpective Tool : a plugin to adjust the photograph perpective.
* Image tools:
  o icon Template Superimpose : a tool for superimpose a template on photograph.
  o icon Add Border : a tool for add border around a photograph.
* Special effects:
  o icon Solarize : a plugin to solarize a photograph.
  o icon Oil Paint : simulate oil painting on photograph (using Pieter Voloshyn algorithm).
  o icon Emboss : an effect filter to emboss photograph (using Pieter Voloshyn algorithm).
  o icon Rain Drops : adding the visual effect of raindrops on photograph (using Pieter Voloshyn algorithm).
  o icon Charcoal : simulate charcoal drawing on photograph.
  o icon FilmGrain : simulate film grain on photograph.
Comment 1 Aurelien Bompard 2005-10-22 11:17:48 EDT
Build fails in mock:
Making all in adjustlevels
make[3]: Entering directory `[...]/digikamimageplugins/adjustlevels'
/usr/lib/qt-3.3/bin/moc ./adjustlevels.h -o adjustlevels.moc
/usr/lib/qt-3.3/bin/moc ./imageplugin_adjustlevels.h -o imageplugin_adjustlevels.moc
creating digikamimageplugin_adjustlevels_la.all_cpp.cpp ...
/bin/sh ../../libtool [...] -c -o digikamimageplugin_adjustlevels_la.all_cpp.lo
digikamimageplugin_adjustlevels_la.all_cpp.cpp
/bin/sh ../../libtool [...] digikamimageplugin_adjustlevels_la.all_cpp.lo 
-lkparts -ldigikam
grep: /usr/lib/libgdbm.la: No such file or directory
/bin/sed: can't read /usr/lib/libgdbm.la: No such file or directory
libtool: link: `/usr/lib/libgdbm.la' is not a valid libtool archive
make[3]: *** [digikamimageplugin_adjustlevels.la] Error 1
Comment 2 Rex Dieter 2005-10-22 11:26:50 EDT
Gotta love libtool.  Looks like a digikam bug (not omitting libtool archives),
bug #171503
Comment 3 Rex Dieter 2005-10-22 11:33:05 EDT
%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-2
- BR: gdbm-devel (workaround for digikam bug #171503)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/digikamimageplugins-0.7.4-2.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-0.7.4-2.src.rpm
Comment 4 Rex Dieter 2005-10-22 11:46:21 EDT
%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-3
- follow icon spec (touch icon theme dir)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/digikamimageplugins-0.7.4-3.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-0.7.4-3.src.rpm
Comment 5 Aurelien Bompard 2005-10-22 11:58:24 EDT
Build failed again in mach, this time requirering /usr/lib/libkipi.la (but we
don't ship it anymore)
By the way, some lines are more than 80 cols in the description.
Comment 6 Rex Dieter 2005-10-22 12:30:02 EDT
%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-4
- %%description: < 80 columns
- BR: libkipi-devel, libkexif-devel, gphoto2-devel, imlib2-devel
  (workaround for digikam bug #171503)

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/digikamimageplugins-0.7.4-4.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-0.7.4-4.src.rpm
Comment 7 Aurelien Bompard 2005-10-22 13:23:20 EDT
Review for release 4:
* RPM name is OK
* Source digikamimageplugins-0.7.4.tar.bz2 is the same as upstream
* Builds fine in mock
* rpmlint of digikamimageplugins looks OK
* File list of digikamimageplugins looks OK
* Plugins are detected by digikam, and work fine.
I would approve it but for the scriptlets not running gtk-update-icon-cache. I
understand your point about not running it, therefore I'm adding the bug as a
dependency.
Comment 8 Rex Dieter 2005-10-22 13:56:03 EDT
fine, I'll re-add the gtk-update-icon-cache call... I just needed to vent... (-:
Comment 9 Rex Dieter 2005-10-22 14:21:47 EDT
Blockers have been worked-around, removing...

%changelog
* Sat Oct 22 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.7.4-5
- %%post,%%postun: gtk-update-icon-cache
- drop %%{?debug_package}
- drop CVS tags

Spec Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/SPECS/digikamimageplugins-0.7.4-5.spec
SRPM Name or Url:
http://apt.kde-redhat.org/apt/kde-redhat/all/SRPMS.stable/digikamimageplugins-0.7.4-5.src.rpm
Comment 10 Aurelien Bompard 2005-10-22 16:17:04 EDT
Yeah, I understand, it's quite a pain in the bottom...
I hope the cron job will be added before everybody has updated their spec file...
OK, looks good. APPROVED.
Comment 11 Rex Dieter 2007-03-27 08:58:33 EDT
Package Change Request
======================
Package Name: digikamimageplugins
[Updated Fedora Owners: mgarski@post.pl
Comment 12 Jens Petersen 2007-03-27 09:37:04 EDT
Is the intention to add a comaintainer or a change of package ownership?
Please clarify and set fedora-cvs to '?' again.

Note You need to log in before you can comment on or make changes to this bug.